Bug 100047 - API for heap walking functionality
API for heap walking functionality
Status: CLOSED FIXED
Product: debugger
Classification: Unclassified
Component: Java
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Martin Entlicher
issues@debugger
: API, API_REVIEW_FAST
Depends on:
Blocks: 99575
  Show dependency treegraph
 
Reported: 2007-04-05 06:07 UTC by Martin Entlicher
Modified: 2010-04-29 09:32 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments
The proposed changes of existing JPDA APIs (11.61 KB, patch)
2007-04-05 08:44 UTC, Martin Entlicher
Details | Diff
A new API class (1.58 KB, text/plain)
2007-04-05 08:45 UTC, Martin Entlicher
Details
A new API class (1.45 KB, text/plain)
2007-04-05 08:46 UTC, Martin Entlicher
Details
The test of Heap Walking API (5.41 KB, text/plain)
2007-04-05 08:47 UTC, Martin Entlicher
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Entlicher 2007-04-05 06:07:17 UTC
In JDK 6, we have support for heap walking and memory leaks exploration:
http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=5024119 and
http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=5089849.

In order to support that new functionality in NetBeans debugger, we need to add
the mirror of these new methods into JPDA debugger API.
Comment 1 Martin Entlicher 2007-04-05 08:44:29 UTC
Created attachment 40476 [details]
The proposed changes of existing JPDA APIs
Comment 2 Martin Entlicher 2007-04-05 08:45:31 UTC
Created attachment 40477 [details]
A new API class
Comment 3 Martin Entlicher 2007-04-05 08:46:13 UTC
Created attachment 40478 [details]
A new API class
Comment 4 Martin Entlicher 2007-04-05 08:47:00 UTC
Created attachment 40479 [details]
The test of Heap Walking API
Comment 5 Martin Entlicher 2007-04-05 08:48:43 UTC
Please review this API change, which is necessary for heap walking functionality.
Thanks.
Comment 6 Martin Entlicher 2007-04-06 16:03:15 UTC
In addition to that pure API change, we'll need to add one simple module that
contains the heap walk functionality.

It will have a friend dependency on profiler and public dependency on debugger
JPDA API. It will be a part of the profiler cluster.

The proposed location is /cvs/debuggerjpda/profiler/heapwalk and module name
org.netbeans.modules.debugger.jpda.heapwalk/1
Comment 7 Martin Entlicher 2007-04-11 20:42:36 UTC
Thanks for the review, I'll integrate the change on Thursday morning CET.
Comment 8 Martin Entlicher 2007-04-12 10:36:21 UTC
The new API is in trunk:

/cvs/debuggerjpda/api/apichanges.xml,v  <--  apichanges.xml
new revision: 1.20; previous revision: 1.19

/cvs/debuggerjpda/api/manifest.mf,v  <--  manifest.mf
new revision: 1.22; previous revision: 1.21

/cvs/debuggerjpda/api/src/org/netbeans/api/debugger/jpda/Field.java,v  <-- 
Field.java
new revision: 1.7; previous revision: 1.6

RCS file:
/cvs/debuggerjpda/api/src/org/netbeans/api/debugger/jpda/JPDAArrayType.java,v

/cvs/debuggerjpda/api/src/org/netbeans/api/debugger/jpda/JPDAArrayType.java,v 
<--  JPDAArrayType.java
initial revision: 1.1

/cvs/debuggerjpda/api/src/org/netbeans/api/debugger/jpda/JPDAClassType.java,v 
<--  JPDAClassType.java
new revision: 1.2; previous revision: 1.1

/cvs/debuggerjpda/api/src/org/netbeans/api/debugger/jpda/JPDADebugger.java,v 
<--  JPDADebugger.java
new revision: 1.23; previous revision: 1.22

/cvs/debuggerjpda/api/src/org/netbeans/api/debugger/jpda/ObjectVariable.java,v 
<--  ObjectVariable.java
new revision: 1.9; previous revision: 1.8

RCS file:
/cvs/debuggerjpda/api/src/org/netbeans/api/debugger/jpda/VariableType.java,v

/cvs/debuggerjpda/api/src/org/netbeans/api/debugger/jpda/VariableType.java,v 
<--  VariableType.java
initial revision: 1.1
Comment 9 Martin Entlicher 2007-04-12 10:38:48 UTC
The test of the new API is in trunk:

RCS file:
/cvs/debuggerjpda/test/unit/src/org/netbeans/api/debugger/jpda/HeapWalkingTest.java,v
done
Checking in unit/src/org/netbeans/api/debugger/jpda/HeapWalkingTest.java;
/cvs/debuggerjpda/test/unit/src/org/netbeans/api/debugger/jpda/HeapWalkingTest.java,v
 <--  HeapWalkingTest.java
initial revision: 1.1
done
RCS file:
/cvs/debuggerjpda/test/unit/src/org/netbeans/api/debugger/jpda/testapps/HeapWalkApp.java,v
done
Checking in unit/src/org/netbeans/api/debugger/jpda/testapps/HeapWalkApp.java;
/cvs/debuggerjpda/test/unit/src/org/netbeans/api/debugger/jpda/testapps/HeapWalkApp.java,v
 <--  HeapWalkApp.java
initial revision: 1.1
done
Comment 10 Quality Engineering 2010-04-29 09:32:35 UTC
Verified ... and Closing all issues resolved into NetBeans 6.7 and earlier.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo